Package com.smartgwt.client.widgets.layout

# Class PortalPosition

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.widgets.layout.PortalPosition

All Implemented Interfaces:
  `HasHandlers`

public class PortalPosition extends DataClass
Represents the position of a `Portlet` within a `PortalLayout`, indicating the column, row, and position within the row.

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PortalPosition()`
  `PortalPosition(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getColNum()`
  The column number occupied by a `Portlet` within a `PortalLayout`.
  `static PortalPosition`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `int`
  `getPosition()`
  The position occupied by a `Portlet` within a `PortalLayout` row (generally 0, unless there is more than one Portlet in the row).
  `int`
  `getRowNum()`
  The row number occupied by a `Portlet` within a `PortalLayout` column.
  `PortalPosition`
  `setColNum(int colNum)`
  The column number occupied by a `Portlet` within a `PortalLayout`.
  `PortalPosition`
  `setPosition(int position)`
  The position occupied by a `Portlet` within a `PortalLayout` row (generally 0, unless there is more than one Portlet in the row).
  `PortalPosition`
  `setRowNum(int rowNum)`
  The row number occupied by a `Portlet` within a `PortalLayout` column.

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PortalPosition

    public PortalPosition()

  - ### PortalPosition

    public PortalPosition(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static PortalPosition getOrCreateRef(JavaScriptObject jsObj)

  - ### setColNum

    public PortalPosition setColNum(int colNum)
    The column number occupied by a `Portlet` within a `PortalLayout`.
    Parameters:
      `colNum` - New colNum value. Default value is 0
    Returns:
      `PortalPosition` instance, for chaining setter calls

  - ### getColNum

    public int getColNum()
    The column number occupied by a `Portlet` within a `PortalLayout`.
    Returns:
      Current colNum value. Default value is 0

  - ### setPosition

    public PortalPosition setPosition(int position)
    The position occupied by a `Portlet` within a `PortalLayout` row (generally 0, unless there is more than one Portlet in the row).
    Parameters:
      `position` - New position value. Default value is 0
    Returns:
      `PortalPosition` instance, for chaining setter calls

  - ### getPosition

    public int getPosition()
    The position occupied by a `Portlet` within a `PortalLayout` row (generally 0, unless there is more than one Portlet in the row).
    Returns:
      Current position value. Default value is 0

  - ### setRowNum

    public PortalPosition setRowNum(int rowNum)
    The row number occupied by a `Portlet` within a `PortalLayout` column.
    Parameters:
      `rowNum` - New rowNum value. Default value is 0
    Returns:
      `PortalPosition` instance, for chaining setter calls

  - ### getRowNum

    public int getRowNum()
    The row number occupied by a `Portlet` within a `PortalLayout` column.
    Returns:
      Current rowNum value. Default value is 0